/* File: interp.c
   Calculate the position y of a moving body when time t 
   is 11 seconds based on linear interpolation, 
   given two points (t1, y1) and (t2, y2). */
#include <stdio.h>

int main() {     
    /* declare variables for times and positions */ 
    double t1, t2, y1, y2, t, y;

    /* assign two data points */
    t1 = 10.0;
    y1 = 10.4;
    t2 = 12.0;
    y2 = 13.4;

    /* Assign the time at which the position is to be found */
    t  = 11.0;

    /* interpolate the data to get the position y at t=11 */
    y = y1 + (y2-y1)*(t-t1)/(t2-t1);
    /* or y = y1 + (y2-y1)/(t2-t1)*(t-t1); */
 
    /* display output */
    printf("y = %f (m) at t = %f (second)\n", y, t);
    return 0;
}

