/* File: switchgrade.c
   The program accepts a grade in one of alphabetic letters A, B, C, D, F.
   It then prints the corresponding score in the numerical value.
   The program uses a switch-statement */
#include <stdio.h>

int main() {
    char grade;      /* grade */
    double score;    /* score */

    /* prompt the user to enter a grade */
    printf("Enter a grade [A, B, C, D, F]: ");
    scanf("%c", &grade); 
    switch(grade) {
        case 'A': /* entered A */
           score = 4.0;
           break;
        case 'B': /* entered B */
           score = 3.0;
           break;
        case 'C': /* entered C */
           score = 2.0;
           break;
        case 'D': /* entered D */
           score = 1.0;
           break;
        case 'F': /* entered F */
           score = 0.0; 
           break;
        default: /* entered any other character */
           score = -1;
           printf("Invalid grade '%c'\n", grade);
           break;
    }

    /* display the grade and score */
    if(score != -1) {
       printf("The score for the grade '%c' is %.2f\n", grade, score);
    }
    return 0;
}
