/* File: accelfun.c
   Calculate the acceleration. 
   The force is calculated using a function */
#include <stdio.h>
#define M_G   9.81  /* gravitational acceleration constant g */

/* definition of the function for force 
   The data type of the argument and return value of
   the function is double */
double force(double t) {
    double p;       /* declare local variable */

    p = 4*(t-3)+20;
    return p;       /* return force p */
}

int main() {
    double a, mu, m, p, t; /* declare local variables */
   
    /* initialize mu, m, t */ 
    mu = 0.2;
    m = 5.0;
    t = 2.0;

    /* calculate the force by calling a function */
    p = force(t);
    a = (p-mu*m*M_G)/m;
    printf("Acceleration a = %f (m/s^2)\n", a);
    return 0;
}
