/* File: linefile.c 
   Demonstrate the usage of the predefined macros
   ___LINE__, __FILE__, and directive #line */
#include <stdio.h>

int main() {
    printf("The predefined macro __FILE__ = %s\n", __FILE__);
    printf("Before line directive, line number is %d\n", __LINE__);
    /* after this line directive, 
       the line number becomes 200, file name becomes newname */
    #line 200 "newFileName"
    printf("The predefined macro __FILE__ = %s\n", __FILE__);
    printf("After line directive, line number is %d\n", __LINE__);
    return 0;
}
