/* File: accelextern.c
   Calculate the acceleration use global variable g_a and global functions
   initialize() and accel(). */
#include <stdio.h>
/* header file "accelextern.h" contains declarations of external 
   variables and function prototypes */
#include "accelextern.h" 

int main() {
    double mu, m, t; /* declare variables */
    
    mu = 0.2;        /* set mu */
    m = 5.0;         /* set mass */
    t = 2.0;         /* set time */
    /* initialize global variable g_a and static variable p */
    initialize();    
    accel(t, mu, m); /* calculate acceleration and get it back using g_a */
    printf("Acceleration = %f (m/s^2)\n", g_a); /* display output */
    return 0;
}
