/* File: accelextern.h
   Define macros, and declare external functions and variables */
#ifndef ACCELEXTERN_H
#define ACCELEXTERN_H

#define M_G   9.81      /* define the gravitatonal accel constant */

/* declare external functions and variable */
extern void initialize(void);
extern void accel(double t, double mu, double m);
extern double g_a;  /* declare extern global variable g_a */

/* load code from file accelexternfunc.c when the program runs in Ch */
#if defined(_CH_)
#pragma importf <accelexternfunc.c>
#endif


#endif /* ACCELEXTERN_H */
