/* File: staticprog.c
   Use a function in a different file */
#include <stdio.h>

/* load code from file staticfile.c for Ch */
#if defined(_CH_)
#pragma importf <staticfile.c>
#endif

/* declare 'extern' function func1() so that func1()
   in file staticfile.c can be be used in this file */
extern int func1(void);
/* declare global variable x; */
int x = 20;

int main() {
    /* use global variable x in this file */
    printf("global x in main() = %d\n", x);
    x++;
    func1(); /* call function func1() in staticfile.c, 
                it has also a variable x in file scope */
    printf("global x in main() = %d\n", x);
    return 0;
}
