/* File: accelformat.c */
#include <stdio.h>
#include <math.h>
#define M_G   9.81  /* gravitational acceleration constant g */
#define N     11    /* num of points */

double accel(double t, double mu, double m) {
    double p, a;

    p = 4*(t-3)+20;
    a = (p-mu*m*M_G)/m;
    return p;
}

int main() {
    double a, mu, m, p, t;
    int i;

    mu = 0.2;
    m = 5.0;
    printf("%6s%15s%", "time (s)", "accel (m/s^2)\n");
    printf("----------------------\n");
    for(i=0; i<N; i++) {
       t = i;
       a = accel(t, mu, m);
       printf("%8.4f %10.4f\n", t, a);
    }
    return 0;
}
