/* File: precision.c 
   Print output for integer and floating-point numbers, and strings
   with different precisions. */
#include <stdio.h>

int main() {
    int i = 5678;
    double d = 123.45678;
    char *str = "Hello, students.";

    printf("Precision for integers.\n");
    printf("%.3d\n", i);
    printf("%.6d\n", i);

    printf("\nPrecision for floating-point number.\n");
    printf("%5.3f\n", d);
    printf("%7.3f\n", d);
    printf("%9.3f\n", d);
    printf("%.3e\n", d);
    
    printf("\nPrecision for g and G conversion.\n");
    printf("%.4g\n", d);
    
    printf("\nPrecision for strings.\n");
    printf("%s\n", str);
    printf("%25s\n", str);

    return 0;
}
