/* File: disc.c
   Use a function to calculate the area and circumference of a disc. 
   Pass the results by reference using pointers.  */
#include <stdio.h>
#include <math.h>   /* for M_PI */

/* function disc() calculates area and circumference
   of a disc with a given radius. */
void disc(double radius, double *area, double *circum) { 
    *area = M_PI * radius *radius;
    *circum = 2*M_PI*radius;
}

int main() {
    double radius;        /* radius of the disc */
    double area, circum;  /* area and circumference of the disc */

    /* printf("Enter the radius for the disc (m): ");
       scanf("%lf", &radius); */
    radius = 3.5;         /* radius is 3.5 meters */

    disc(radius, &area, &circum);
    printf("area = %f (m^2)\n", area);
    printf("circumference = %f (m)\n", circum);
    return 0;
}
