/* File: funptrtypedef.c
   Use typedef to declare a data type of pointer to functions */
#include <stdio.h>

/* declare FUNCPTR as a data type of pointer to functions
   with an argument of type double and return type int */ 
typedef int (*FUNCPTR)(double f);

/* a function with an argument of type double and return type int */ 
int fun(double f) {
    printf("f = %f\n", f);
    return 0;
}

int main() {
    /* declare pf as a pointer to functions with an argument of 
       type double and return type int */
    FUNCPTR pf;

    fun(10.0);   /* call function fun() */
    pf = fun;    /* pf points to fun() */
    pf(20.0);    /* call fun() indirectly using pf() */
    return 0;
}
