/* File: strmemoryvla.c (run in C99 and Ch only)
   Compile in gcc, use command 'gcc -std=c99 strmemoryvla.c' 
   Allocate memory for a string using VLA in C99 */
#include <stdio.h>
#include <string.h>    /* for strcpy(), strcat(), strlen() */

int main() {
     char s1[10]="ABCD", s2[10]="abcd"; /* declare strings */
     /* NOTE: add 1 byte for the null terminating character '\0' !!! */
     char s[strlen(s1)+strlen(s2)+1]; 

     strcpy(s, s1);          /* copy string s1 to s */
     printf("s = %s\n", s);  /* print string s */
     strcat(s, s2);          /* append string s2 to string s */
     printf("s = %s\n", s);  /* print string s again */
     printf("strlen(s1) = %d\n", strlen(s1)); /* calculate strlen for s1 */
     printf("strlen(s) = %d\n", strlen(s));   /* calculate strlen for s2 */
     return 0;
}
