/* File: gmtime.c
   Use gmtime() to get Coordinated Universal Time (UTC) */
#include <stdio.h>
#include <time.h>  /* for struct tm, time_t, time(), localtime(), asctime() */

int main() {
    struct tm *local_time, *gm; /* variables for broken-down time */
    time_t t;                   /* variable for calendar time */
    
    t = time(NULL);             /* get the current calendar time */
    /* convert the calenda time to a broken-down local time */
    local_time = localtime(&t); 
    /* convert broken-down local time into a string and print it */
    printf("Local time and date: %s",asctime(local_time));
    gm = gmtime(&t); /* convert the calendar time into UTC time */
    printf("Coordinated Universal Time and date: %s",asctime(gm));
}
