/* File: accelichar.c
   Read accelerations from file accel.txt */
#include <stdio.h>  /* for fopen(), fclose(), fscanf(), printf() */
#include <stdlib.h> /* for exit() */

int main() {
    char c;        /* a chararcter */
    FILE *stream;  /* a file stream */
    int i = 0;

    /* open file accel.txt for reading */
    stream = fopen("accel.txt", "rb"); 
    if(stream == NULL) {
      printf("Error: cannot open 'accel.txt'\n");
      exit(EXIT_FAILURE);
    }
    fscanf(stream, "%c", &c);   /* read a character */
    while(!feof(stream)) {      /* while not end-of-file */
      i++;
      printf("%c", c);          /* print the character */
      fscanf(stream, "%c", &c); /* read next character */
    }
    /* print the total num of chars */
    printf("The total number of chars = %d\n", i);  
    fclose(stream);              /* close the file stream */
    return 0;
}
