/* File: endian.c
   Determine the endianness of a computer */
#include <stdio.h>

int main () {
    int i = 0x12345678;                  /* declare and initialize i */

    if (*(char *)&i == (char)0x12)       /* computer is big endian */ 
        printf ("big endian\n");
    else if (*(char *)&i == (char)0x78)  /* computer is little endian */
        printf ("little endian\n");
    else     /* it should not reach here normally, just in case */
        printf ("unknown endian (maybe middle endian or mixed endian)\n");
    return 0;
}

