/* File: freopenstd.c
   Input an integer and a floating point number to the program
   from file scanfc.in using freopen(). Output is directed to
   file freopenstd.out */
#include <stdio.h>  /* for printf(), FILE,  freopen(), fclose() */
#include <stdlib.h> /* for exit() */
 
int main() {
    int num;      /* declare num as an int */
    double d;     /* declare d as a double */
    FILE *streamin, *streamout; /* declare file streams */

    /* redirect stdin from to scanfc.in */
    streamin = freopen("scanfc.in", "r", stdin);
    if(streamin ==  NULL) { /* open "scanfc.in" failed */
        printf("Error: cannot open 'scanfc.in'\n");
        exit(EXIT_FAILURE);
    }
    /* redirect stdout to freopenstd.out */
    streamout = freopen("freopenstd.out", "w", stdout);
    if(streamout ==  NULL) { /* open "freopenstd.out" failed */
        printf("Error: cannot open 'freopenstd.out'\n");
        exit(EXIT_FAILURE);
    }
 
    /* the output will be redirected to file "freopenstd.out" */
    printf("Please input one integer and one floating-point number\n");
    /* the user to input an integer for num, and a floating-point number
       or integer for d from file "scanfc.in" */
    scanf("%d%lf",&num, &d);
    /* the output will be redirected to file "freopenstd.out" */
    printf("Your input values are %d and %f\n", num, d);
    fclose(streamin);  /* close the file stream */
    fclose(streamout); /* close the file stream */
    return 0;
}
