/* File: scanfcin.c
   Input an integer and a floating point number to the program
   from file scanfc.dat using freopen().
   The program is modified from scanfc.c */
#include <stdio.h>  /* for printf(), FILE,  freopen(), fclose() */
#include <stdlib.h> /* for exit() */
 
int main() {
    int num;      /* declare num as an int */
    double d;     /* declare d as a double */
    FILE *stream; /* declare a file stream */

    /* redirect stdin from to scanfc.dat */
    stream = freopen("scanfc.dat", "r", stdin);
    if(stream ==  NULL) { /* open "scanfc.dat" failed */
        printf("Error: cannot open 'scanfc.dat'\n");
        exit(EXIT_FAILURE);
    }
 
    /* prompt the user for input */
    printf("Please input one integer and one floating-point number\n");
    /* the user to input an integer for num, and a floating-point number
       or integer for d from file "scanfc.dat" */
    scanf("%d%lf",&num, &d);
    /* display the input from file "freopenstdio.in" */
    printf("Your input values are %d and %f\n", num, d);
    fclose(stream); /* close the file stream */
    return 0;
}
