/* File: scope.cpp
   Use scope resolution operator '::' to access variables in the global scope */
#include <iostream>         // for I/O in C++ 
using namespace std;        // for using cout, cin, cerr, endl 

int num = 10;               // declare a global variable

int main() {
    int num = 20;           // declare a local variable with the same name

    cout << "num = " << num << endl;      // access the local variable
    cout << "::num = " << ::num << endl;  // access the global variable
    ::num = 30;                           // access the global variable
    cout << "num = " << num << endl;      // access the local variable
    cout << "::num = " << ::num << endl;  // access the global variable
    return 0;
}
