/* File: annotation.ch */
#include <math.h>
#include <chplot.h>

int main() {
    int numpoints = 36;
    array double x[numpoints], y[numpoints];
    CPlot plot;
    char *title="Sine Wave",     
         *xlabel="degree",
         *ylabel="amplitude";

    lindata(0, 360, x);
    y = sin(x*M_PI/180);
    plot.data2D(x, y);
    plot.title(title);
    plot.label(PLOT_AXIS_X, xlabel);
    plot.label(PLOT_AXIS_Y, ylabel);
    plot.plotting();
    return 0;
}

