/* File: CBody.cpp */
#include "accel.h"

void CBody::setSys(double mu, double m) {
    m_mu = mu;
    m_m = m;
}

double CBody::force(double t) {
    double p;

    p = 4*(sin(t-3))+20;
    return p;
}

double CBody::accel(double t) {
    double a, p;

    p = force(t);
    a = (p-m_mu*m_m*M_G)/m_m;
    return a;
}
