#include <array.h>

void complexfunc(array double complex a[:][:], array double complex b[:][:]){
    b = a + 2 * sin(a);
}
void realfunc(array double a[:][:], array double b[:][:]){
    b = a + 2 * sin(a);
}
void arrayfunc(array double complex a[&][&], array double complex b[&][&]){
  int n = shape(a, 0), m = shape(a, 1);
  // or array int dim[2] = shape(a);
  // int n = dim[0], m = dim[1];

  if(elementtype(a) == elementtype(complex) || 
     elementtype(a) == elementtype(double complex)) {
    array double complex aa[n][m], bb[n][m];
    aa = (array double complex [n][m])a;
    complexfunc(aa, bb);
    b = bb;
  }
  else {
    array double aa[n][m], bb[n][m];
    aa = (array double [n][m])a;
    realfunc(aa, bb);
    b = bb;
  }
}

int main() {
  array double complex b1[3][4], a1[3][4] = {1, complex(1,2), 2, 5, 
                                             7, complex(3,4), 9, 3, 
                                             5, 7, 3, 2};
  array double  b2[2][3], a2[2][3] = {1, 5, 3, 
                                      5, 6, 7};     
  arrayfunc(a1, b1);
  printf("b1 = \n%.1f", b1);
  arrayfunc(a2, b2);
  printf("\nb2 = \n%.1f", b2);
  return 0;
}
