% File: accelo.m 
g = 9.81;
N = 11;
mu = 0.2;
m = 5.0;
step = 1;
t0 = 0.0;
tf = 10.0;
n = (tf - t0)/step + 1;  

fid = fopen('accel.txt', 'w');
if fid == -1
   fprintf('Error: cannot open accel.txt for writing\n');
end

for i=0:n-1  % for i = 0:1:n-1
   t = t0 + i*step;     
   p = 4*(t-3)+20;
   a = (p-mu*m*g)/m;
   fprintf(fid, '%f\n', a);
end
fclose(fid);
fprintf('Done!  Finished writing data to file accel.txt.\n');
