% File: accelsin.m 
g = 9.81;
N = 11;
mu = 0.2;
m = 5.0;
t0 = 0.0;
tf = 10.0;

for i=1:N
   t(i) = t0 + (i-1)*(tf-t0)/N;
   p = 4*sin(t(i)-3)+20;
   a(i) = (p-mu*m*g)/m;
end

plot(t, a);
xlabel('time (s)');
ylabel('accel (m/s^2)');
title('Acceleration Plot');
