/* File: acceldef.c
   Calculate the acceleration using variables
   and a defined macro for the gravitational acceleration */
#include <stdio.h>

/* define M_G as a macro for the gravitational acceleration */
#define M_G   9.81

int main() {
    /* declare variables */
    double a;   /* acceleration */
    double mu;  /* friction coefficient */
    double m;   /* mass */
    double p;   /* external force */

    /* initialize variables */
    mu = 0.2;
    m = 5.0;
    p = 20.0;

    /* calculate the acceleration */
    a = (p-mu*m*M_G)/m;

    /* display output */
    printf("Acceleration a = %f (m/s^2)\n", a);
    return 0;
}
