/* File: typesize.c
   Obtain the sizes of basic data types in C89 */
#include <stdio.h>
#include <stddef.h>   /* for size_t */

int main() {
    printf("sizeof(char) = %d\n", sizeof(char));
    printf("sizeof(short) = %d\n", sizeof(short));
    printf("sizeof(int) = %d\n", sizeof(int));
    printf("sizeof(long) = %d\n", sizeof(long));
    printf("sizeof(float) = %d\n", sizeof(float));
    printf("sizeof(double) = %d\n", sizeof(double));
    printf("sizeof(long double) = %d\n", sizeof(long double));
    printf("sizeof(pointer) = %d\n", sizeof(int *));
    printf("sizeof(size_t) = %d\n", sizeof(size_t));
    return 0;
}
