   // File: expx2.p
   // Pseudocode for iterative computation of exp(x)
   // expx contains exp(x) and term is pow(x,i)/i! 

   x = 0.5
   expx = 1.0
   term = 1.0
   i = 1
   while(term>FLT_EPSILON)  // continue if pow(x,i)/i! > epsilon 
      term = term*x/i
      expx = expx + term
      i = i+1
   endwhile
   print expx and exp(x)
