/* File: force.c
   Calculate the force based on the input time.
   The formulas for the force depend on whether time t
   is less or equal to 3 seconds */
#include <stdio.h>

int main() {
    double p, t;

    printf("Please input time in seconds\n");
    scanf("%lf", &t);

    if(t <= 3) { /* when time t is less or equal to 3 s */
        p = 20;
    }
    else {       /* when time t is larger than 3 s */
        p = 4*(t+2);
    }

    /* display the output */
    printf("Force p = %f (N)\n", p);
    return 0;
}
