/* File: factorloop.c 
   Calculate the factorial using a loop in a function */
#include <stdio.h>

/* function prototype for factorial() with return type unsigned int */
unsigned int factorial(int n);

int main() {     
    int i;

    /* calculate factorials 0!, 1!, 2!, 3!, 4!, 5! */
    for(i=0; i<=5; i++)
       printf("%d! = %u\n", i, factorial(i));
    return 0;
}

/* function call factorial(n) returns the factorial n! */
unsigned int factorial(int n) { 
    unsigned int i, f; /* declare variables of unsigned int */

    /* using a recursive formula n! = n*(n-1)! for calculating f = n! */
    for(i=1, f=1; i<=n; i++) {
       f *= i;   
    }
    return f;
}
