/* File: noarg.c */
#include <stdarg.h>
#include <stdio.h>

void noarg(...) {
    va_list ap;
    int vacount;
    int i, num = 0;

    va_start(ap, VA_NOARG);
    vacount = va_count(ap);
    printf("vacount = %d\n", vacount);

    while(num++, vacount--) {
      i = va_arg(ap, int);
      printf("argument %d = %d, ", num, i);
    }
    printf("\n\n");
    va_end(ap);

    return;
}

int main() {
    noarg(1);
    noarg(1, 2, 3);
    noarg(1, 2, 3, 4, 5);

    return 0;
}
