/* File: doubleio.c
   Print output of floating point numbers with different 
   output format specifiers. */
#include <stdio.h>

int main() {
    float f = 10.123;
    double d = 12.345;

    printf("%f\n", f);           /* use f for float */
    printf("%f\n", d);           /* use f for double */ 
    printf("%lf\n", d);          /* use lf for double */
    printf("%e\n", 12.345);      /* use e for double */
    printf("%e\n", -12.345);     /* use e for double of a negative value */
    printf("%E\n", 12.345);      /* use E for double */
    printf("%g\n", 12.345);      /* use g for double */
    printf("%G\n", 12.345);      /* use G for double */
    printf("%g\n", 12.0);        /* use g with 0 for fractional part */
    printf("%G\n", 12.0);        /* use g with 0 for fractional part */
    printf("%g\n", 12345678.9);  /* use g with a large integral part */
    printf("%G\n", 12345678.9);  /* use g with a large integral part */
    return 0;
}
