/* File: field.c
   Print output for integer numbers with different field widths. */
#include <stdio.h>

int main() {
    int i = 12345;

    printf("%d\n", i);     /* automatic field width  */
    printf("%8d\n", i);    /* field width of 8  */
    printf("%4d\n", i);    /* specified field width is less than
                              the required one  */
    printf("%*d\n", 8, i); /* equivalent to printf("%8d\n", i) */
    return 0;
}
