/* File: flag.c 
   Print output for integer and floating-point numbers with different flags. */
#include <stdio.h>

int main() {
    double d = 123.456;
    int i = 98;

    printf("\nUsing minus sign flag.\n");
    printf("%15f\n", d);
    printf("%-15f\n", d);
    
    printf("\nUsing plus sign flag.\n");
    printf("%f\n%f\n", d, -d);
    printf("%+f\n%+f\n", d, -d);

    printf("\nUsing space flag.\n");
    printf("%d\n%d\n", 425, -425);
    printf("% d\n% d\n", 425, -425);
    
    printf("\nUsing # flag.\n");
    printf("%#o\n", i);
    printf("%#x\n", i);
    printf("%#X\n", i);
    printf("%g\n", 12.0);
    printf("%#g\n", 12.0);

    printf("\nUsing 0 flag.\n");
    printf("%05d\n", i);

    return 0;
}
