/* File: intio.c
   Print output of integer numbers with different output format specifiers. */
#include <stdio.h>

int main() {
    short i1 = 0x20;     /* declare and initialize a short int */
    int i2 = 0x20000000; /* declare and initialize an int */
    long long l2 = 0x20000000; /* declare and initialize an long long */

    printf("%c\n", 106);  /* print the corresponding char for ASCII value 106 */
    printf("%d\n", 106);  /* print decimal number */
    printf("%d\n", -106); /* print a negative decimal number */
    printf("%i\n", 106);  /* print decimal number */
    printf("%o\n", 106);  /* print an octal number for 106 */ 
    printf("%x\n", 106);  /* print a hexadecimal number for 106 */
    printf("%X\n", 106);  /* print a hexadecimal number using capital letters */
    printf("%hd\n", i1);  /* print a short integer */
    printf("%ld\n", i2);  /* print a long long int using %ld */
    printf("%d\n", i2);   /* print a long long int using %d */
    printf("%lld\n", i2); /* print a long long int using %lld */
    return 0;
}
