/* File: matrixv.c
   Calculate matrix equation b = Ax */
#include <stdio.h>

#define M 3    /* number of rows */
#define N 3    /* number of columns */

int main() {
    /* declare and initialize matrix A and vector v, declare b */
    double a[M][N] = {3, 5, 6,
                      4, 2, 1,
                      0, 7, 1};
    double v[N] = {2, 1, -2}, b[M];
    int i, j;

    /* multiply row-by-row */
    for(i=0; i<M; i++) {
        b[i] = 0;
        for(j=0; j<N; j++) {
            b[i]+= a[i][j]*v[j];
        }
    }
    printf("b = %g, %g, %g\n", b[0], b[1], b[2]); /* printing vector b */
    return 0;
}
