/* File: passarray.c
   Pass one dimensional arrays of variable length to a function */
#include <stdio.h>

/* add dd1 and dd2, store the result in array dd1 element-wise. */
void oneDadd(int n, double dd1[], double dd2[]) {
    int i;

    for(i = 0; i <= n-1; i++) { /* loop through the entire array */
        dd1[i] += dd2[i];       /* add element by element */
    }
}

int main() {
    /* declare and initialize two arrays */
    double d1[5] = {1.0, 2.0, 3.0, 4.0, 5.0};
    double d2[5] = {1.0, 2.0, 3.0, 4.0, 5.0};
    int i;
        
    oneDadd(5, d1, d2);      /* call function to add arrays d1 and d2 */
    for(i = 0; i < 5; i++) { /* display the modified array d1 */
        printf("%.2lf ", d1[i]);
    }
    printf("\n");
    return 0;
}

