/* File: sortarray.c */
#include <stdio.h>
#define N1 8
#define N2 9

double sortArray(int n, int a[]) { 
    int i, j, imin, temp;
    double median;
   
    for(i = 0; i < n-1; i++) {
        imin = i;
        for(j = i+1; j < n; j++) {
            if(a[imin] > a[j]) {
                imin = j;
            }
        }
        if(imin != i) {
            temp = a[i];
            a[i] = a[imin];
            a[imin] = temp;
        }
    }
    if(n%2) /* odd total number */
        median = a[n/2];
    else        /* even total number */
        median = (a[n/2-1] + a[n/2])/2.0;
    return median;
}

int main() { 
    int a1[N1] = {3, 21, 0, -3, 34, -14, 45, 18};
    int i;
    double median;
   
    printf("The original data:\n");
    for(i = 0; i < N1; i++) {
        printf(" %d", a1[i]);
    }
    median = sortArray(N1, a1); 
    printf("\nThe sorted data in ascending order:\n");
    for(i = 0; i < N1; i++) {
        printf(" %d", a1[i]);
    }
    printf("\nThe median of the array is %.2f\n", median);
    return 0;
}
