/* File: atexit.c
   Register callback functions which are called at the exit */
#include <stdlib.h>  /* for atexit() */
#include <stdio.h>

void f1(void) {      /* callback function */
    printf("f1() is called\n");
}

void f2(void) {      /* callback function */
    printf("f2() is called\n");
}

int main(void) {
    /* register callback functions */
    printf("Register callback functions f1() and f2()\n");
    atexit(f1); 
    atexit(f2); 

    /* this part of code is executed before callback functions are called */
    printf("Before callbacks are called\n");
    return 0;
}
