/* File: noswap.c 
   Demonstrate call-by-value in C */
#include <stdio.h>

/* a function was supposed to swap passed x and y  in the calling function,
   but, it failed to swap. */
void swap(int x, int y) {
    int temp;    /* temporary variable */

    /* swap inside this function for x and y */
    temp = x;	
    x = y;
    y = temp;
    return;
}

int main() {
    int a = 5, b = 6;                 /* declare and initialize a and b */

    swap(a, b);                       /* try to swap a and b */
    printf("a = %d, b = %d\n", a, b); /* output is a = 5, b = 6, no swap! */
    return 0;
}


