/* File: returnptrmem.c
   Function returns a dynamically allocated memory */
#include <stdio.h>
#include <stdlib.h> /* for malloc() and NULL */

/* function returns a pointer to the dynamically allocated memory */
void *allocMemory(size_t size) {
    void *p;          /* declare a pointer */

    p = malloc(size); /* allocate memory */
    if(p == NULL) {
       printf("Error: allocMemory() failed, no memory\n");
    }
    /* return a pointer to the dynamically allocated memory, or NULL */
    return p;   
}
