/* File: strtonum.c
   Demonstrate how to convert a string to a numerical number. 
   Demonstrate how to a numerical number to a string. */
#include <stdio.h>        /* for printf(), sprintf(), and puts() */
#include <stdlib.h>       /* for atoi() and atof() */

int main() {
    /* declare variables of different types */
    char *stri = "1234";  /* string with an integer number */
    char *strd = "12.34"; /* string with a floating-point number */
    char str[50];         /* string to hold the numbers */
    int i;                /* variable of int type */
    double d;             /* variable of double type */
    
    /* convert a string to integer and floating-point numbers */
    i = atoi(stri);         /* convert a string to int */
    printf("i = %d \n",i);
    d = atof(strd);         /* convert a string to double */
    printf("d = %f \n",d);

    /* convert integer and floating-point numbers into a string */
    sprintf(str, "i = %d d = %f", i, d);
    puts(str);
    return 0;
}
