/* File: assign.c
   Assign structure type to a variable  */
#include <stdio.h>
#include <string.h>

struct Student {
    int id;
    char name[32];  
} s1 = {101, "John"};

int main() {
    struct Student s, *sp, *sp1;

    s = s1;   /* assigning structure s1 to  structure s, 
                 the entire structure is copied from s1 to s2 */
    printf("s.id = %d\n", s.id);
    printf("s.name = %s\n", s.name);
    sp = &s;  /* assigning the address of s to a pointer to structure sp, 
                 only the address is copied */
    sp1 = &s1; /* only address of s1 is copied to sp1 */
    if(sp == sp1) { /* compare pointers to structures */
        printf("sp and sp1 point to the same object.\n");
    }
    else {
        printf("sp and sp1 point to different objects.\n");
    }
    /* Compare two structures, all members shall be compared */
    if(s.id == s1.id && !strcmp(s.name, s1.name)) {
        printf("The contents of s and s1 are the same.\n");
    }
    return 0;
}
