/* File: returnsptr_err.c
   Function incorrectly returns a pointer to structure
   that points to the memory of automatic storage duration. */
#include <stdio.h>

struct Student {
    int id;
    char name[32];  
} s={101, "John"};

struct Student *func(void) {
    struct Student s1;

    s1 = s;
    s1.id = 102;
    return &s1;   /* Error: return a pointer to local variable */
}

int main() {
    struct Student *sp;

    sp = func();
    printf("sp->id = %d\n", sp->id);
    printf("sp->name = %s\n", sp->name);
    return 0;
}
