/* File: spointer.c 
   Use a pointer to structure */
#include <stdio.h>
#include <string.h>

struct Student {
    int id;
    char name[32];  
};

int main() {
    struct Student s, *sp;

    sp = &s;                  /* sp pointer to s */
    sp->id = 101;             /* access a member using arrow operator */
    strcpy(sp->name, "John");
    printf("sp->id   = %d\n", sp->id);
    printf("sp->name = %s\n", sp->name);

    /* obtain the user input from the keyboard */
    printf("Please input id and name\n");
    scanf("%d%*c", &sp->id);  /* skip the newline character */
    fgets(sp->name, sizeof(sp->name), stdin);
    sp->name[strlen(sp->name)-1] = '\0'; /* replace the newline char by '\0' */
    printf("sp->id   = %d\n", sp->id);
    printf("sp->name = %s\n", sp->name);
    return 0;
}
