/* File: acceli.c
   Read accelerations from file accel.txt */
#include <stdio.h>  /* for fopen(), fclose(), fscanf(), printf() */
#include <stdlib.h> /* for exit() */

int main() {
    double a;       /* acceleration */
    FILE *stream;   /* a file stream */

    /* open file accel.txt for reading */
    stream = fopen("accel.txt", "r"); 
    if(stream == NULL) {
      printf("Error: cannot open 'accel.txt'\n");
      exit(EXIT_FAILURE);
    }
    fscanf(stream, "%lf", &a);   /* read an acceleration */
    while(!feof(stream)) {       /* while not end-of-file */
      printf("%f\n", a);         /* print the acceleration */
      fscanf(stream, "%lf", &a); /* read the next acceleration */
    }
    fclose(stream);              /* close the file stream */
    return 0;
}
