#!/bin/ch
/* File: makegpa or makegpa.ch in Windows
   a command to invoke different Makefiles 
   with diff command line arguments for diff platforms */

int i;
string_t makecmd, arg;
/*  obtain command-line arguments and passed them to 'make' command */
for(i = 1; i<_argc; i++) {
   arg = stradd(arg, _argv[i], " ");
}

#if (defined(_LINUX_) || defined(_LINUXPPC_)) /* for Linux */
/* or if(!strcmp(`uname`, "Linux")) */
  make -f Makefile $arg
#elif defined(_SOLARIS_)                     /* for Solaris */
/* or if(!strcmp(`uname`, "SunOS")) */
  make DLLFLAG=-G -f Makefile $arg
#elif defined(_WIN32_)                       /* for Windows */
/* or if(!strcmp(`uname`, "windows32")) */
  if(`which.ch nmake` != NULL)   /* if Visual C++ nmake.exe exists */
     makecmd = "nmake";
  else                           /* else use make.exe from Ch */
     makecmd = "make";
  $(makecmd) -f Makefile.win $arg
#else 
  printf("Undefined platform\n");
#endif
