/* File: swap.cpp
   Use references in C++ to pass arguments of function by reference */
#include <stdio.h>           // for printf() 

/* swap values in the passed arguments in the 
   calling function using call by reference */
void swap(int &x, int &y) {
    int temp;

    temp = x; 
    x = y;
    y = temp;
    return;
}

int main() {
    int a = 5, b = 6;

    swap(a, b);                       // swap a and b
    printf("a = %d  b = %d\n", a, b); // output: a = 6; b = 5;
    return 0;
}
