/* File: plotxy.ch */
#include <math.h>
#include <chplot.h>

int main() {
  int numpoints = 36;
  array double x[numpoints], y[numpoints];
  char  *title="Sine Wave",        // Define labels.
        *xlabel="degree",
        *ylabel="amplitude";

  lindata(0, 360, x);
  y = sin(x*M_PI/180);
  plotxy(x, y, numpoints, title, xlabel, ylabel); 
  return 0;
}
