% File: accelcharray.m 
g = 9.81;
N = 100;
mu = 0.2;
m = 5.0;
t0 = 0.0;
tf = 10.0;

t = linspace(t0, tf, N);
p = 4*(sin(t)-3)+20;
a = (p-mu*m*g)/m;
plot(t, a);
xlabel('time (s)');
ylabel('accel (m/s^2)');
title('Acceleration Plot'); 
pause;  % pause for two separate plots, hold for one plot with two curves 

p = 4*(t.*t-3)+20;
a = (p-mu*m*g)/m;
plot(t, a);
