/* File: accelsin.cpp */
#include <stdio.h>
#include <math.h>
#include <chplot.h>
#define M_G   9.81  /* gravitational acceleration constant g */
#define N     11    /* num of points */

int main() {
    double a[N], t[N];
    double mu, m, p, t0, tf;
    int i;

    mu = 0.2;
    m = 5.0;
    t0 = 0.0;
    tf = 10.0;
    for(i=0; i<N; i++) {
      t[i] = t0 + i*(tf-t0)/(N-1);
      p = 4*sin(t[i]-3)+20;
      a[i] = (p-mu*m*M_G)/m;
    }
    plotxy(t, a, N, "Acceleration Plot", "time (s)", "accel (m/s^2)");
    return 0;
}
