! File: accelfun.f90  
PROGRAM accelfun

IMPLICIT NONE

! Function declaration.
REAL :: force

! Variables declaration. 
REAL, PARAMETER :: g = 9.81
REAL :: a, mu, m, p, t

! Calculate acceleration. 
mu = 0.2
m = 5
t = 2
p = force(t)
a = (p-mu*m*g)/m

! Display the result.
WRITE (*,*) 'Acceleration a = ', a, '(m/s^2)'

END PROGRAM accelfun


REAL FUNCTION force(t)
    IMPLICIT NONE

    REAL :: t
    REAL :: p

    p = 4*(t-3)+20
    force = p

    RETURN
END FUNCTION force  
